Weather
Weather tools are available on the Voxvey MCP endpoint and use National Weather Service data for US locations.
POST /v1/mcp
Tools
| Tool | Purpose |
|---|---|
weather_get_forecast | Multi-period forecast for a latitude and longitude |
weather_get_hourly_forecast | Hourly forecast for up to 48 hours |
weather_get_alerts | Active alerts by point, state/area, or NWS zone |
weather_get_current_observation | Latest nearby weather observation |
Forecast
curl https://api.voxvey.com/v1/mcp \
-H "Authorization: Bearer $VOXVEY_TOKEN" \
-H "Content-Type: application/json" \
-H "Accept: application/json, text/event-stream" \
-d '{
"jsonrpc": "2.0",
"id": 21,
"method": "tools/call",
"params": {
"name": "weather_get_forecast",
"arguments": {
"latitude": 40.7128,
"longitude": -74.0060,
"units": "us"
}
}
}'
{
"result": {
"content": [
{
"type": "text",
"text": "{\"location\":{\"city\":\"New York\",\"state\":\"NY\"},\"periods\":[{\"name\":\"Tonight\",\"temperature\":68,\"temperatureUnit\":\"F\",\"shortForecast\":\"Partly Cloudy\"}]}"
}
]
},
"jsonrpc": "2.0",
"id": 21
}
Alerts
Call weather_get_alerts with either latitude and longitude, an area
such as NY, or an NWS zone.